Saturday, August 22, 2009

New LibertyGuard version 1.42

New version available now, version 1.42 is a compatible with Firefox 3.5
Details here...
Download LibertyGuard firefox addon
Download Firefox 3.5